import { BrowserProvider, Eip1193Provider, JsonRpcProvider, Provider } from 'ethers';
import { PublicParams } from './encrypt';
import { TfheCompactPublicKey } from 'node-tfhe';
export type FhevmInstanceConfig = {
    kmsContractAddress: string;
    aclContractAddress: string;
    chainId?: number;
    publicKey?: Uint8Array | null;
    publicKeyId?: string | null;
    gatewayUrl?: string;
    network?: Eip1193Provider;
    networkUrl?: string;
    publicParams?: PublicParams<Uint8Array> | null;
};
export declare const getProvider: (config: FhevmInstanceConfig) => JsonRpcProvider | BrowserProvider;
export declare const getChainId: (provider: Provider, config: FhevmInstanceConfig) => Promise<number>;
export declare const getTfheCompactPublicKey: (config: FhevmInstanceConfig) => Promise<{
    publicKey: TfheCompactPublicKey;
    publicKeyId: string;
}>;
export declare const getPublicParams: (config: FhevmInstanceConfig) => Promise<PublicParams>;
export declare const getKMSSigners: (provider: Provider, config: FhevmInstanceConfig) => Promise<string[]>;
